#keep level 2 fight #5
from eventAPI import *
from APIUtils import *

rtKeep2Flag5=0

def fireEvent(e):
   global rtKeep2Flag5
   rtKeep2Flag5 = getTag(e, "rtKeep2Flag5")
   if (rtKeep2Flag5 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag5 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Salamander", 1, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag5
   rtKeep2Flag5 = 1
   setTag(e, "rtKeep2Flag5", rtKeep2Flag5)
